This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 804581 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:4883f567a4b8c4b9bd9669bee75...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-03-19 06:22 EDT by Richard Loos
Modified: 2012-05-14 13:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Loos 2012-03-19 06:22:16 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.2.9-2.fc16.x86_64 root=UUID=4bf66c58-07e4-40e5-9d89-c4f11391e41f ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
comment:        Dual monitor setup in X.org was distorted after system restore (after hibernate). It seemed that the part which should be displayed on my laptop screen was displayed on the VGA connected monitor and vice versa. (I have my VGA monitor set as the master display) Clicking on applications did not yield a response, but the mouse cursor could be moved. After a couple of seconds the mouse pointer also froze. The system locked up completely. 
kernel:         3.2.9-2.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
time:           Mon 19 Mar 2012 09:16:14 AM CET

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
:IP: [<ffffffff812cc187>] __list_add+0x17/0xa0
:PGD 9e2c067 PUD 9e93067 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 3 
:Modules linked in: tcp_lp fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6_tables snd_hda_codec_hdmi arc4 snd_hda_codec_realtek brcmsmac mac80211 snd_hda_intel snd_hda_codec snd_hwdep broadcom brcmutil uvcvideo tg3 snd_seq snd_seq_device cfg80211 snd_pcm i2c_i801 acer_wmi videodev media v4l2_compat_ioctl32 snd_timer snd uinput crc8 cordic intel_ips sparse_keymap sunrpc soundcore bcma rfkill snd_page_alloc iTCO_wdt iTCO_vendor_support joydev microcode mxm_wmi wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 12483, comm: sd(EXEC) Not tainted 3.2.9-2.fc16.x86_64 #1 Acer TravelMate 5742/TravelMate 5742
:RIP: 0010:[<ffffffff812cc187>]  [<ffffffff812cc187>] __list_add+0x17/0xa0
:RSP: 0018:ffff88000692fb68  EFLAGS: 00010282
:RAX: 0000000000000000 RBX: ffff88001800a230 RCX: 00000000009f0c84
:RDX: 0000000000000000 RSI: ffff88006a7bf208 RDI: ffff88001800a230
:RBP: ffff88000692fb88 R08: ffff88006a7bf468 R09: ffff880036fa1360
:R10: 0000000000000033 R11: 0000000000800000 R12: ffff88006a7bf100
:R13: ffff88001800a1dc R14: ffffffff8161a8f0 R15: 0000000000000002
:FS:  00007f833efc6800(0000) GS:ffff88006f4c0000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000000000008 CR3: 0000000009e2b000 CR4: 00000000000006e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process sd(EXEC) (pid: 12483, threadinfo ffff88000692e000, task ffff880036975cc0)
:Stack:
: ffff880036975cc0 ffff88001800a180 ffff88006a7bf100 ffff88001800a1dc
: ffff88000692fbb8 ffffffff81190438 ffff88000692fbb8 ffff88006a7bf100
: ffff88001800a180 ffff88006a7bf100 ffff88000692fbd8 ffffffff81190677
:Call Trace:
: [<ffffffff81190438>] __d_instantiate+0x58/0xe0
: [<ffffffff81190677>] d_instantiate+0x47/0x80
: [<ffffffff811df6db>] proc_pident_instantiate+0x8b/0xd0
: [<ffffffff811df7bb>] proc_pident_lookup+0x9b/0xf0
: [<ffffffff811df86a>] proc_tgid_base_lookup+0x1a/0x20
: [<ffffffff81185d25>] d_alloc_and_lookup+0x45/0x90
: [<ffffffff81192655>] ? d_lookup+0x35/0x60
: [<ffffffff811882f1>] do_lookup+0x2b1/0x3a0
: [<ffffffff8116662b>] ? kmem_cache_alloc_trace+0x10b/0x140
: [<ffffffff81189df0>] do_last+0xe0/0x8f0
: [<ffffffff8118a712>] path_openat+0xd2/0x3c0
: [<ffffffff81140c38>] ? handle_mm_fault+0x1f8/0x350
: [<ffffffff8118ab22>] do_filp_open+0x42/0xa0
: [<ffffffff8119685f>] ? alloc_fd+0x4f/0x150
: [<ffffffff8117a3a7>] do_sys_open+0xf7/0x1d0
: [<ffffffff810ce4ba>] ? audit_syscall_entry+0x23a/0x350
: [<ffffffff8117a4c1>] sys_openat+0x11/0x20
: [<ffffffff815ec682>] system_call_fastpath+0x16/0x1b
:Code: 48 83 c4 08 5b 5d c3 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 48 83 ec 20 48 89 5d e8 4c 89 65 f0 48 89 fb 4c 89 6d f8 <4c> 8b 42 08 49 89 f5 49 89 d4 49 39 f0 75 27 4d 8b 45 00 4d 39 
:RIP  [<ffffffff812cc187>] __list_add+0x17/0xa0
: RSP <ffff88000692fb68>
:CR2: 0000000000000008

smolt_data:
:
:
:General
:=================================
:UUID: eda899ca-f38d-438f-a474-d2f058ff10da
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.45
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2533
:System Memory: 1742
:System Swap: 3999
:Vendor: Acer
:System: TravelMate 5742 V1.10
:Form factor: Notebook
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11539:4133:1159) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15113:4133:1159) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:11521:4133:1159) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11537:4133:1159) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:4133:1159) pci, None, HOST/PCI, Core Processor Reserved
:(5348:17239:4187:57377) pci, bcma-pci-bridge, NETWORK, BCM43225 802.11b/g/n
:(32902:70:4133:1159) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15145:4133:1159) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15170:4133:1159) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4133:1159) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15154:4133:1159) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15190:4133:1159) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15152:4133:1159) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:9288:4133:1159) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:11362:4133:1159) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(5348:5778:4133:877) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(32902:15164:4133:1159) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4133:1159) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:68:4133:1159) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15204:4133:1159) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:11536:4133:1159) pci, None, HOST/PCI, Core Processor QPI Link 0
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 30947094 26033898 24484330 7749632 6555154 6555154
:
Comment 1 Dave Jones 2012-03-22 13:06:28 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 13:09:40 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:20:02 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Josh Boyer 2012-03-28 14:00:57 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.